Bug 460654 - TypeError: doLoggingSetup() takes exactly 3 arguments (5 given)
TypeError: doLoggingSetup() takes exactly 3 arguments (5 given)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 10:34 EDT by James Laska
Modified: 2013-09-02 02:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 10:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (43 bytes, text/plain)
2008-08-29 10:34 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-08-29 10:34:30 EDT
Created attachment 315364 [details]
anacdump.txt

Description of problem:

Installing from rawhide

Name         : Fedora development i386 (20080828)
Arch         : i386
Id           : 1219966738.1
Version      : development
Family       : Fedora
Variant      : 
Time         : 2008-08-28 19:38 EDT
URI's        : http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os
Images       : i386 (kernel, initrd, boot.iso), xen (kernel, initrd)

Using the updates.img located at http://dlehman.fedorapeople.org/updates-wwoods.img I hit the following traceback after partitioning.

anaconda 11.4.1.29 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 185, in _getConfig
    startupconf.syslog_ident, startupconf.syslog_facility)
  File "/usr/lib/anaconda/yuminstall.py", line 633, in doConfigSetup
    enabled_plugins=["whiteout", "blacklist"])
  File "/usr/lib/anaconda/yuminstall.py", line 312, in __init__
    self.doConfigSetup(root=anaconda.rootPath)
  File "/usr/lib/anaconda/yuminstall.py", line 1020, in doInitialSetup
    self.ayum = AnacondaYum(anaconda)
  File "/usr/lib/anaconda/backend.py", line 193, in doRepoSetup
    if anaconda.backend.doInitialSetup(anaconda) == DISPATCH_BACK:
  File "/usr/lib/anaconda/dispatch.py", line 206, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 129, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1351, in nextClicked
    self.anaconda.dispatch.gotoNext()
TypeError: doLoggingSetup() takes exactly 3 arguments (5 given)

Version-Release number of selected component (if applicable):
anaconda 11.4.1.29

How reproducible:

Note You need to log in before you can comment on or make changes to this bug.